Bug 242739 - resolve_overloaded_unification error when using comma operator with std::endl
Summary: resolve_overloaded_unification error when using comma operator with std::endl
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: gcc (Show other bugs)
(Show other bugs)
Version: 6
Hardware: x86_64 Linux
low
low
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-06-05 15:40 UTC by Petr Pelan
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-06 12:48:35 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Preprocessed source that compiler asked me to attach (722.38 KB, application/octet-stream)
2007-06-05 15:40 UTC, Petr Pelan
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
GNU Compiler Collection 32232 None None None Never

Description Petr Pelan 2007-06-05 15:40:35 UTC
Description of problem:
When using whatever, comma, and std::endl enclosed in brackets, the g++
compilation ends with following error:
internal compiler error: in resolve_overloaded_unification

Version-Release number of selected component (if applicable):
the g++ is from package gcc-c++-4.1.1-30


How reproducible:
#include <iostream>

int main() {
        std::cout << "Hello" << (1, std::endl);
}


Steps to Reproduce:
1. Create test.cc file with the above content
2. Compile with g++ -o test test.cc
3. Watch what happens
  
Actual results:
> g++     test.cc   -o test
test.cc: In function 'int main()':
test.cc:4: internal compiler error: in resolve_overloaded_unification, at
cp/pt.c:9896
Please submit a full bug report,
with preprocessed source if appropriate.
See <URL:http://bugzilla.redhat.com/bugzilla> for instructions.
Preprocessed source stored into /tmp/ccZKSXDk.out file, please attach this to
your bugreport.


Expected results:
Either syntax error report or a succesfull compilation.

Additional info:
N/A

Comment 1 Petr Pelan 2007-06-05 15:40:36 UTC
Created attachment 156233 [details]
Preprocessed source that compiler asked me to attach

Comment 2 Jakub Jelinek 2007-06-06 12:48:35 UTC
Tracking upstream.


Note You need to log in before you can comment on or make changes to this bug.